org.eclipse.mat.parser.io

## Class SimpleBufferedRandomAccessInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.eclipse.mat.parser.io.SimpleBufferedRandomAccessInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class SimpleBufferedRandomAccessInputStream
    extends InputStream

### Constructor Summary

Constructors
Constructor and Description
`SimpleBufferedRandomAccessInputStream(RandomAccessFile in)`
`SimpleBufferedRandomAccessInputStream(RandomAccessFile in, int bufsize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`long` `getFilePointer()`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`int` `readInt()`
`int` `readIntArray(int[] a)`
`long` `readLong()`
`int` `readLongArray(long[] a)`
`void` `seek(long pos)`

### Methods inherited from class java.io.InputStream

`available, mark, read, reset, skip`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleBufferedRandomAccessInputStream

    public SimpleBufferedRandomAccessInputStream(RandomAccessFile in)
                                          throws IOException

Throws:
  `IOException`

#### SimpleBufferedRandomAccessInputStream

    public SimpleBufferedRandomAccessInputStream(RandomAccessFile in,
                                                 int bufsize)
                                          throws IOException

Throws:
  `IOException`

### Method Detail

#### read

    public final int read()
                   throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `InputStream`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`

#### seek

    public void seek(long pos)
              throws IOException

Throws:
  `IOException`

#### getFilePointer

    public long getFilePointer()

#### readInt

    public final int readInt()
                      throws IOException

Throws:
  `IOException`

#### readLong

    public final long readLong()
                        throws IOException

Throws:
  `IOException`

#### readIntArray

    public int readIntArray(int[] a)
                     throws IOException

Throws:
  `IOException`

#### readLongArray

    public int readLongArray(long[] a)
                      throws IOException

Throws:
  `IOException`